=== modified file 'server/handler.cc'
--- server/handler.cc	2008-07-15 06:45:16 +0000
+++ server/handler.cc	2008-07-20 07:56:12 +0000
@@ -2892,7 +2892,7 @@
 */
 
 int
-handler::ha_discard_or_import_tablespace(my_bool discard)
+handler::ha_discard_or_import_tablespace(bool discard)
 {
   mark_trx_read_write();
 

=== modified file 'server/handler.h'
--- server/handler.h	2008-07-13 22:21:51 +0000
+++ server/handler.h	2008-07-20 07:56:12 +0000
@@ -1291,7 +1291,7 @@
   bool ha_check_and_repair(THD *thd);
   int ha_disable_indexes(uint mode);
   int ha_enable_indexes(uint mode);
-  int ha_discard_or_import_tablespace(my_bool discard);
+  int ha_discard_or_import_tablespace(bool discard);
   void ha_prepare_for_alter();
   int ha_rename_table(const char *from, const char *to);
   int ha_delete_table(const char *name);
@@ -1727,7 +1727,7 @@
         cached
   */
 
-  virtual my_bool
+  virtual bool
     register_query_cache_table(THD *thd __attribute__((__unused__)),
                                char *table_key __attribute__((__unused__)),
                                uint key_length __attribute__((__unused__)),
@@ -2103,7 +2103,7 @@
   { return HA_ERR_WRONG_COMMAND; }
   virtual int enable_indexes(uint mode __attribute__((__unused__)))
   { return HA_ERR_WRONG_COMMAND; }
-  virtual int discard_or_import_tablespace(my_bool discard __attribute__((__unused__)))
+  virtual int discard_or_import_tablespace(bool discard __attribute__((__unused__)))
   { return (my_errno=HA_ERR_WRONG_COMMAND); }
   virtual void prepare_for_alter(void) { return; }
   virtual void drop_table(const char *name);

=== modified file 'server/set_var.cc'
--- server/set_var.cc	2008-07-18 21:34:11 +0000
+++ server/set_var.cc	2008-07-20 07:56:12 +0000
@@ -272,11 +272,6 @@
 					      &SV::max_seeks_for_key);
 static sys_var_thd_ulong   sys_max_length_for_sort_data(&vars, "max_length_for_sort_data",
                                                  &SV::max_length_for_sort_data);
-#ifndef TO_BE_DELETED	/* Alias for max_join_size */
-static sys_var_thd_ha_rows	sys_sql_max_join_size(&vars, "sql_max_join_size",
-					      &SV::max_join_size,
-					      fix_max_join_size);
-#endif
 static sys_var_long_ptr	sys_max_relay_log_size(&vars, "max_relay_log_size",
                                                &max_relay_log_size,
                                                fix_max_relay_log_size);
@@ -1339,9 +1334,9 @@
 bool sys_var_thd_bool::update(THD *thd,  set_var *var)
 {
   if (var->type == OPT_GLOBAL)
-    global_system_variables.*offset= (my_bool) var->save_result.ulong_value;
+    global_system_variables.*offset= (bool) var->save_result.ulong_value;
   else
-    thd->variables.*offset= (my_bool) var->save_result.ulong_value;
+    thd->variables.*offset= (bool) var->save_result.ulong_value;
   return 0;
 }
 
@@ -1349,7 +1344,7 @@
 void sys_var_thd_bool::set_default(THD *thd,  enum_var_type type)
 {
   if (type == OPT_GLOBAL)
-    global_system_variables.*offset= (my_bool) option_limits->def_value;
+    global_system_variables.*offset= (bool) option_limits->def_value;
   else
     thd->variables.*offset= global_system_variables.*offset;
 }
@@ -1535,7 +1530,7 @@
   {
     int32 value;
     pthread_mutex_lock(&LOCK_global_system_variables);
-    value= *(my_bool*) value_ptr(thd, var_type, base);
+    value= *(bool*) value_ptr(thd, var_type, base);
     pthread_mutex_unlock(&LOCK_global_system_variables);
     return new Item_int(value,1);
   }
@@ -1630,9 +1625,9 @@
     If reverse is 0 (default) return 1 if bit is set.
     If reverse is 1, return 0 if bit is set
   */
-  thd->sys_var_tmp.my_bool_value= ((thd->options & bit_flag) ?
+  thd->sys_var_tmp.bool_value= ((thd->options & bit_flag) ?
 				   !reverse : reverse);
-  return (uchar*) &thd->sys_var_tmp.my_bool_value;
+  return (uchar*) &thd->sys_var_tmp.bool_value;
 }
 
 
@@ -2867,7 +2862,7 @@
 */
 
 static uchar *get_sys_var_length(const sys_var *var, size_t *length,
-                                 my_bool first __attribute__((__unused__)))
+                                 bool first __attribute__((__unused__)))
 {
   *length= var->name_length;
   return (uchar*) var->name;
@@ -3021,14 +3016,6 @@
   if (mysql_add_sys_var_chain(vars.first, my_long_options))
     goto error;
 
-  /*
-    Special cases
-    Needed because MySQL can't find the limits for a variable it it has
-    a different name than the command line option.
-    As these variables are deprecated, this code will disappear soon...
-  */
-  sys_sql_max_join_size.option_limits= sys_max_join_size.option_limits;
-
   return(0);
 
 error:

=== modified file 'server/set_var.h'
--- server/set_var.h	2008-07-13 22:21:51 +0000
+++ server/set_var.h	2008-07-20 07:56:12 +0000
@@ -484,11 +484,11 @@
 class sys_var_thd_bool :public sys_var_thd
 {
 public:
-  my_bool SV::*offset;
-  sys_var_thd_bool(sys_var_chain *chain, const char *name_arg, my_bool SV::*offset_arg)
+  bool SV::*offset;
+  sys_var_thd_bool(sys_var_chain *chain, const char *name_arg, bool SV::*offset_arg)
     :sys_var_thd(name_arg), offset(offset_arg)
   { chain_sys_var(chain); }
-  sys_var_thd_bool(sys_var_chain *chain, const char *name_arg, my_bool SV::*offset_arg,
+  sys_var_thd_bool(sys_var_chain *chain, const char *name_arg, bool SV::*offset_arg,
 		   sys_after_update_func func)
     :sys_var_thd(name_arg,func), offset(offset_arg)
   { chain_sys_var(chain); }

=== modified file 'server/sql_class.h'
--- server/sql_class.h	2008-07-19 07:02:30 +0000
+++ server/sql_class.h	2008-07-20 07:56:12 +0000
@@ -323,17 +323,17 @@
   */
   my_thread_id pseudo_thread_id;
 
-  my_bool low_priority_updates;
-  my_bool new_mode;
+  bool low_priority_updates;
+  bool new_mode;
   /* 
     compatibility option:
       - index usage hints (USE INDEX without a FOR clause) behave as in 5.0 
   */
   bool old_mode;
-  my_bool engine_condition_pushdown;
-  my_bool keep_files_on_create;
+  bool engine_condition_pushdown;
+  bool keep_files_on_create;
 
-  my_bool old_alter_table;
+  bool old_alter_table;
 
   plugin_ref table_plugin;
 
@@ -356,7 +356,7 @@
   DATE_TIME_FORMAT *date_format;
   DATE_TIME_FORMAT *datetime_format;
   DATE_TIME_FORMAT *time_format;
-  my_bool sysdate_is_now;
+  bool sysdate_is_now;
 
 };
 
@@ -1520,7 +1520,7 @@
   /* Used by the sys_var class to store temporary values */
   union
   {
-    my_bool   my_bool_value;
+    bool   bool_value;
     long      long_value;
     ulong     ulong_value;
     uint64_t uint64_t_value;

=== modified file 'storage/innobase/handler/ha_innodb.cc'
--- storage/innobase/handler/ha_innodb.cc	2008-07-20 07:36:57 +0000
+++ storage/innobase/handler/ha_innodb.cc	2008-07-20 07:56:12 +0000
@@ -7446,7 +7446,7 @@
 /***********************************************************************
 Ask InnoDB if a query to a table can be cached. */
 
-my_bool
+bool
 ha_innobase::register_query_cache_table(
 /*====================================*/
 					/* out: TRUE if query caching

=== modified file 'storage/innobase/handler/ha_innodb.h'
--- storage/innobase/handler/ha_innodb.h	2008-07-13 22:45:08 +0000
+++ storage/innobase/handler/ha_innodb.h	2008-07-20 07:56:12 +0000
@@ -206,10 +206,10 @@
 	/*
 	  ask handler about permission to cache table during query registration
 	*/
-	my_bool register_query_cache_table(THD *thd, char *table_key,
-					   uint key_length,
-					   qc_engine_callback *call_back,
-					   uint64_t *engine_data);
+        bool register_query_cache_table(THD *thd, char *table_key,
+                                        uint key_length,
+                                        qc_engine_callback *call_back,
+                                        uint64_t *engine_data);
 	static char *get_mysql_bin_log_name();
 	static uint64_t get_mysql_bin_log_pos();
 	bool primary_key_is_clustered() { return true; }

